Page MenuHomePhabricator

[DO NOT USE] HipHop/HHVM issues (tracking) [superseded by #HHVM]
Closed, InvalidPublic

Description


Version: unspecified
Severity: normal

Details

Reference
bz40926

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:11 AM
bzimport set Reference to bz40926.
bzimport added a subscriber: Unknown Object (MLST).
Krinkle created this task.Oct 10 2012, 4:44 PM

Why do we duplicate information by creating a tracker bug for information that can be found by looking for all tickets with a specific keyword ("hiphop") already? I don't get it.

(In reply to comment #1)

Why do we duplicate information by creating a tracker bug for information that
can be found by looking for all tickets with a specific keyword ("hiphop")
already? I don't get it.

I converted it from a keyword to a tracker bug because there were only 2 bugs with this keyword. If we don't need to track it, by all means, lets close this :)

I try to phase out keywords for things that are mediawiki focussed because keywords are global/generic for all products/components.

(In reply to comment #2)

I converted it from a keyword to a tracker bug because there were only 2 bugs
with this keyword.

Ah, I see. And I totally like that, thanks!
However next time I'd appreciate quickly announcing/discussing this first (e.g. via a ticket in Bugzilla against Wikimedia/Bugzilla), simply because it's helpful for all the BZ admins to understand decisions and to avoid confusion or even duplicated work (I would have wondered where the keyword suddenly went to, and why).

Note: Using HipHop is planned for approx. the end of 2013.

ori added a comment.Jan 8 2014, 9:34 AM

Platform is taking on HHVM migration this coming quarter, so we can expect a lot more activity. There will be a very long tail of small bugs to fix as power through the migration, and in fact how well we keep track of them will be one of the biggest tests of the migration process. These bugs are going to cross product / component lines, so there is a keen need for a means of effectively navigating and collecting HHVM bugs that is not tied to the product hierarchy. I think that this use-case practically describes Bugzilla keywords, so let's reinstate the HHVM keyword, please.

Ori's request sounds reasonible, hence I've re-created the keyword (see https://bugzilla.wikimedia.org/describekeywords.cgi , query via https://bugzilla.wikimedia.org/buglist.cgi?keywords=hiphop&keywords_type=allwords ) and will migrate the tickets listed here as dependencies. Closing.

[adding the Tracking-Neverending project to tasks blocking (now deprecated) T4007 as part of T93366]

Danny_B renamed this task from HipHop/HHVM issues (tracking) to [DO NOT USE] HipHop/HHVM issues (tracking) [superseded by #HHVM].Jul 20 2016, 1:15 AM
Danny_B lowered the priority of this task from High to Lowest.
Danny_B edited projects, added HHVM; removed MediaWiki-extensions-General.
Danny_B moved this task from Tag to Transition completed / Archived on the Tracking-Neverending board.
Danny_B removed a subscriber: wikibugs-l-list.